!### macros #####################################################
!
#define IF_NOTOK_RETURN(action) if (status/=0) then; write (gol,'("in ",a)') rname; call goErr; action; return; end if
#define IF_ERROR_RETURN(action) if (status> 0) then; write (gol,'("in ",a)') rname; call goErr; action; return; end if
!
!#################################################################
module enkf_constants
  !BOP
  ! !MODULE: enkf_constants

  ! !DESCRIPTION:
  ! This module simply defines and makes public some of the constants
  ! that are always being changed from one inversion to another.  It
  ! is supposed to contain no routines so that code divergence will
  ! not be a problem.

  ! !USES:
  use GO,                    only : gol, goErr, goPr, goLabel

  implicit none
  ! --- const -------------------------

  character(len=*), parameter   ::  mname = 'enkf_constants'
  private:: mname

  ! !PUBLIC DATA MEMBERS:
  public

  ! Standard lag is (2007 CarbonTracker release) is 5 weeks.
  ! Due to use of nlag-2 in the dynamical model code, nlag can be no lower than 3.
  integer,parameter		:: nlag = 5
  integer,parameter             :: timestep = 7 
  

  ! "scenario_base" region constants:

  !integer,parameter		:: nparams_in_state= 221
  !character(len=7),parameter	:: regtype='olson19'
  !integer,parameter		:: nreg_land=11
  !integer,parameter		:: npar_land=19
  !integer,parameter		:: nreg_ocn=11
  !integer,parameter		:: npar_ocn=1

  ! "scenario_taka30" region constants:

  integer,parameter		:: nparams_in_state= 240
  character(len=13),parameter	:: regtype='olson19_oif30'
  integer,parameter		:: nreg_land=11
  integer,parameter		:: npar_land=19
  integer,parameter		:: nreg_ocn=30
  integer,parameter		:: npar_ocn=1

end module enkf_constants
