!
!ProTeX: 1.14-AJS
!
!BOI
!
! !TITLE:        TMkit - collection of TM toolkit modules
! !AUTHORS:      Arjo Segers
! !AFFILIATION:  KNMI
! !DATE:         21/04/2004
!
!
! !INTRODUCTION: Introduction
!
!   The TM Kit is a set of Fortran90 libraries used for TM5, TMPP, etc.
!
!
! !INTRODUCTION: Packages
!
!   The following packages are included in the TMkit. \\
!   Use the 'download' link to obtain an update source code of a package,
!   exported every night from KNMI's cvs server.
!
!   \begin{tabular}{ll}
!     \htmladdnormallink{parray}{parray.html}       & - Pointer Array tools (\htmladdnormallink{download}{../parray.tar.gz}) \\
!     \htmladdnormallink{file_hdf}{file_hdf.html}   & - Interface to HDF4 files (\htmladdnormallink{download}{../file_hdf.tar.gz}) \\
!     \htmladdnormallink{file_grib}{file_grib.html} & - Interface to GRIB files \\
!     \htmladdnormallink{go}{go.html}               & - General Objects library (\htmladdnormallink{download}{../go.tar.gz}) \\
!     \htmladdnormallink{binas}{binas.html}         & - BIology, NAture, and chemiStry constants \\
!     \htmladdnormallink{num}{num.html}             & - Numerical math routines \\
!     \htmladdnormallink{phys}{phys.html}           & - Physics routines \\
!     \htmladdnormallink{grid}{grid.html}           & - Grid tools \\
!     \htmladdnormallink{gss}{gss.html}             & - General Storage System scripts \\
!     \htmladdnormallink{tmm}{tmm.html}             & - Interface to TM Meteo files
!   \end{tabular}
!
!
! !INTRODUCTION: Usage
!
!   All public entities of the packages included in the TMkit
!   are accessible via the main module:
!   \bv
!     use TMkit, only : ...
!   \ev
!
!
! !INTRODUCTION: Compile and link
!
!   When using the TMkit modules, tell the compiler where 
!   the modules are storred, for example by:
!   \bv
!     f90 -I/opt/module ...
!   \ev
!
!   Link with all the underlying libraries:
!   \bv
!     f90 ... -ltmkit -ltmm -lgrid -lnum -lbinas -lgo -lfile_hdf -lparray
!   \ev
!
! !INTRODUCTION: Documentation
!
!   Documentation is included in the source files using
!   \htmladdnormallink{ProTeX}{protex.html}.
!
!EOI
!

module TMKit

  use parray
  use file_hdf
  use go
  use binas
  use num
  use phys
  use grid
  use tmm
  
  public

end module TMKit
